> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get validator

> This endpoint returns a single validator index on the Beacon Chain with details on its activation, withdrawal and exit epochs.



## OpenAPI

````yaml get /v1/eth/validators/{validator_index_or_pubkey}
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eth/validators/{validator_index_or_pubkey}:
    get:
      tags:
        - Overview
      summary: Get validator
      description: >-
        This endpoint returns a single validator index on the Beacon Chain with
        details on its activation, withdrawal and exit epochs.
      operationId: get_validator_v1_eth_validators__validator_index_or_pubkey__get
      parameters:
        - name: validator_index_or_pubkey
          in: path
          required: true
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: string
            title: Validator Index Or Pubkey
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidatorOverview'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    ValidatorOverview:
      properties:
        validatorIndex:
          type: integer
          minimum: 0
          title: Validatorindex
        validatorPubkey:
          type: string
          title: Validatorpubkey
        activationEpoch:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Activationepoch
        activationEligibilityEpoch:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Activationeligibilityepoch
        exitEpoch:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Exitepoch
        withdrawableEpoch:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Withdrawableepoch
      type: object
      required:
        - validatorIndex
        - validatorPubkey
        - activationEpoch
        - activationEligibilityEpoch
        - exitEpoch
        - withdrawableEpoch
      title: ValidatorOverview
      examples:
        - activation_eligibility_epoch: 171000
          activation_epoch: 169000
          exit_epoch: 172000
          validator_index: 1
          validator_pubkey: >-
            0xb44440543ceef8d77e065c70da15f7b731e56db5457571c465f025e032bbcd263a0990c8749b4ca6ff20d77004466666
          withdrawable_epoch: 172256
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````